﻿@model StarterProjectV2.ViewModels.UserDetailsView

@{
    ViewData["Title"] = "Create User Details";
    var myList = Model.GetAllModuleListWithTasks;
}
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<link href="assets/css/bootstrap-responsive.css" rel="stylesheet">
@section HEADERJS{
    <script type="text/javascript" src="https://cdn.jsdelivr.net/jquery/1/jquery.min.js"></script>
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/2.1.1/jquery.min.js"></script>
}

@section FOOTERJS{
    <script src="~/Content/vendors/js/toastr.min.js"></script>
    <script src="~/Content/vendors/js/coreui.min.js"></script>
}
@section PAGETITLE{
User Details Create
}

<style>
    .card-body {
        padding: 40px;
        padding-left: 60px;
    }

    @@media only screen and (min-width: 800px) {
        .card-body {
            padding-left: 10rem
        }
    }
</style>

<body style="background-color: oldlace">
    <h2 class="text-center mt-4" style="color:cadetblue">@ViewData["Title"]</h2>

<div class="card d-flex justify-content-center">
    <div class="card-header">
        <strong>Please fill up the following information</strong>
    </div>
    @*@using (Html.BeginForm("UserDetailsCreate", "UserDetails", FormMethod.Post, new { enctype = "multipart/form-data" }))
            {*@

    <div class="card-body">

        <div class="form-group row mb-5">
            <label class="col-sm-2 col-form-label">User Profile Picture </label>
            <div class="col-sm-10">
                @{
                    var time5 = "?" + DateTime.Now.ToString("h:mm:ss tt");
                }
                <img id="utility-pic" class="" width="128" height="128" src="~/Content/attachments/base.jpg" alt="base file" />
                <div class="m-1">
                    <input class="" id="upload-file-picture" name="file" type="file" />
                </div>
            </div>

            @*<div class="form-group row mb-5">*@
            @*</div>*@
            @*<label class="col-sm-2 col-lg-2 col-md-2 col-form-label mr-3">User Profile Picture</label>
                    <div class="col-lg-3 col-md-4 col-sm-4">
                        @Html.TextBoxFor(m => m.UserProfilePicture, new { @class = "custom-file-input", id = "upload-file-picture", name = "file", type = "file" , accept = "image/png,image/jpeg" })*@
            @* <input type="file" class="custom-file-input" id="upload-file-picture" name="file" /> *@
            @*<label class="custom-file-label" for="upload-file-picture" id="upload-file-picture-label">Choose file</label>
                    </div>*@
        </div>
        <div class="form-group has-danger row mb-3">
            <label class="col-lg-2 col-md-2 col-sm-2 col-form-label" for="text-input">User Name *</label>
            <div class="col-lg-3 col-md-4 col-sm-4 pl-0">

                @Html.TextBoxFor(m => m.UserName, new { @class = "form-control is-invalid", placeholder = "Text", id = "text-input", name = "text-input", type = "text", required = "true" })
                <span id="charNum" style="font-size: small; color: #7a4415">(Please do not use space in User Name.)</span>
            </div>
            <label class="col-lg-2 col-md-2 col-sm-2 col-form-label" for="text-input">User Display Name *</label>
            <div class="col-lg-3 col-md-4 col-sm-4 pl-0">

                @Html.TextBoxFor(m => m.UserDisplayName, new { @class = "form-control is-invalid", placeholder = "Text", id = "UserDisplayName", name = "text-input", type = "text" })

            </div>
        </div>

        <div class="form-group has-danger row mb-3">

            <label class="col-lg-2 col-md-2 col-sm-2 col-form-label" for="text-input">User Password *</label>
            <div class="col-lg-3 col-md-4 col-sm-4 pl-0">
                @Html.TextBoxFor(m => m.Password, new { @class = "form-control is-invalid", placeholder = "Text", id = "password-input", name = "text-input", type = "password" })
            </div>
            <label class="col-lg-2 col-md-2 col-sm-2 col-form-label" for="text-input">Confirm Password *</label>
            <div class="col-lg-3 col-md-4 col-sm-4 pl-0">
                @Html.TextBoxFor(m => m.ConfirmPassword, new { @class = "form-control is-invalid", placeholder = "Text", id = "Confirm-Pass", name = "text-input", type = "password" })
                <span id="message"></span>
            </div>
        </div>
        <div class="form-group has-danger row mb-3">

            <label class="col-lg-2 col-md-2 col-sm-2 col-form-label" for="text-input">User Email *</label>
            <div class="col-lg-3 col-md-4 col-sm-4 pl-0">
                @Html.TextBoxFor(m => m.UserEmail, new { @class = "form-control is-invalid", placeholder = "Text", id = "UserEmail", name = "text-input", type = "text", required = "true" })
            </div>
            <label class="col-lg-2 col-md-2 col-sm-2 col-form-label" for="text-input">User Mobile No *</label>
            <div class="col-lg-3 col-md-4 col-sm-4 pl-0">

                @Html.TextBoxFor(m => m.UserMobileNumber, new { @class = "form-control is-invalid", placeholder = "Text", id = "UserMobileNumber", name = "text-input", type = "text", required = "true" })

            </div>
        </div>
        <div class="form-group has-danger row mb-3">
            <label class="col-lg-2 col-md-2 col-sm-2 col-form-label" for="text-input">User Role *</label>
            <div class="col-lg-3 col-md-4 col-sm-4 pl-0">
                @Html.DropDownListFor(m => m.UserType, new SelectList(Model.UserTypeList), "-----", new { @class = "form-control is-invalid", id = "UserType", required = "true" })
            </div>
        </div>
        @*<div class="form-group row">
                     <label class="col-lg-2 col-md-2 col-sm-2 col-form-label" for="text-input">User Role</label>
                     @Html.DropDownListFor(m => m.selectedModuleId, @Model.ModuleIdandParent.Select(m => new SelectListItem()
                {
                    Text = m.ModuleName,
                    Value = m.ModuleId
                }), new { @class = "form-control form-control-lg col-2", id = "sel1" })*@

        @*<label class="col-lg-2 col-md-2 col-sm-2 col-form-label" for="text-input">Task Parent</label>
                @Html.DropDownListFor(m => m.selectedTaskId, new SelectList(Enumerable.Empty<SelectListItem>()), new { @class = "form-control form-control-lg col-2", id = "sel2" })*@



        @*             @{ *@
        @*                 var myList = Model.GetAllModuleListWithTasks; *@
        @*             } *@
        @* <hr style=" border-top: 1px solid black;" /> *@

    </div>
    <div class="card-footer d-flex justify-content-end">
        <button type="submit"
                class="submit btn btn-sm btn-primary px-3 py-2 m-1"
                style="font-size:15px;"
                onclick="function1()">
            <i class="fa fa-dot-circle-o"></i> Submit
        </button>

        <button type="reset"
                class="reset btn btn-sm btn-danger px-3 py-2 m-1"
                style="font-size:15px;">
            <i class="fa fa-ban"></i> Reset
        </button>
    </div>

    @*}*@

</div>
</body>
    <script>
        function FullSubmitUserDetails() {
            UploadProfilePicture();
            function1();
        }
    </script>
    <script>
        $('#password-input, #Confirm-Pass').on('keyup', function () {
            if ($('#password-input').val() == $('#Confirm-Pass').val()) {
                $('#message').html('Matching').css('color', 'green');
            } else
                $('#message').html('Not Matching').css('color', 'red');
        });
    </script>

    <script src="~/Content/vendors/js/toastr.min.js"></script>

    <script>
        $(document).ready(function () {
            if (sessionStorage.reloadAfterPageLoad) {
                sessionStorage.reloadAfterPageLoad = false;
                toastr.error('Please Match Your Passwords', 'Error!!!!', {
                    closeButton: true,
                    progressBar: true,

                });
            }
        });
    </script>

    <script type="text/javascript">
        function function1() {
            if ($('#password-input').val() != $('#Confirm-Pass').val()) {

                sessionStorage.reloadAfterPageLoad = true;
                windows.location.reload();

            }
            //        if ($('#user-role-view').is(':checked')) {
            //
            //        }
            //        toastr.info('Yo!!!', 'FU', {
            //            closeButton: true,
            //            progressBar: true,
            //        });
            else {








                var moduleList = [];

                //        alert(JSON.stringify(moduleList));
                //moduleList = JSON.stringify(moduleList);

                var PartialUserDetailsViewModels = [];

                for (var i = 0; i < moduleList.length; i++) {
                    var moduleWithTask = moduleList[i];
                    var moduleId = moduleWithTask[0];
                    var tskIdList = [];
                    var tskEventList = [];
                    for (var j = 0; j < moduleWithTask[1].length; j++) {
                        var taskIdwithEvent = moduleWithTask[1][j];

                        var taskId = taskIdwithEvent[0];
                        var taskEvent = taskIdwithEvent[1];

                        tskIdList.push(taskId);
                        tskEventList.push(taskEvent);
                        //alert(moduleId + " " + taskId + " " + taskEvent);
                    }
                    var tskListObj = { ModuleId: moduleId, TaskIdList: tskIdList, TaskEventList: tskEventList };
                    //            tskListObj["TaskList"] = tskList;
                    //alert(tskListObj);
                    PartialUserDetailsViewModels.push(tskListObj);

                }


                var myModel = {
                    UserName: $('#text-input').val(),
                    Password: $('#password-input').val(),


                    //later transferring httppost to jsonpost
                    UserDisplayName: $('#UserDisplayName').val(),
                    UserMobileNumber: $('#UserMobileNumber').val(),
                    UserType: $('#UserType').val(),
                    UserEmail: $('#UserEmail').val(),
                    ConfirmPassword: $('#Confirm-Pass').val(),



                    GetAllModuleListWithTasks: [],
                    PartialUserDetailsViewModels: PartialUserDetailsViewModels,
                    TaskWithRoles: [],
                };
                $.ajax({
                    context: this,
                    type: 'post',
                    url: '../UserDetails/gettingUserDetailsModel/',
                    data: myModel,
                    success: function (result) {
                        //alert(myModel.PartialUserDetailsViewModels);
                        window.location = '../UserDetails/UserDetailsManagement';
                    },
                    error: function () {
                        //error();
                    }
                });

            }

        }
    </script>

    <script>
        function UploadProfilePicture() {
            var userName = $('#text-input').val();
            alert(userName);
            //alert(ownerId);
            var formdata = new FormData(); //FormData object
            var fileInput = document.getElementById('upload-file-picture');
            //Iterating through each files selected in fileInput
            for (i = 0; i < fileInput.files.length; i++) {
                fileInput.files[i].name = userName;
            }
            for (i = 0; i < fileInput.files.length; i++) {
                //Appending each file to FormData object
                formdata.append(fileInput.files[i].name, fileInput.files[i], "~/Content/images/avatars/" + userName + ".jpg");
            }
            //Creating an XMLHttpRequest and sending
            var xhr = new XMLHttpRequest();
            xhr.open('POST', '../UserDetails/UploadProfilePicture/');
            xhr.send(formdata);
            xhr.onreadystatechange = function () {
                if (xhr.readyState == 4 && xhr.status == 200) {
                    //alert(xhr.responseText);
                    alert("image uploaded");
                }
            }
            return false;
        }
    </script>
    <script>
        $('.checkbox-parent').change(function () {
            // Traverse the DOM to get associated child checkbox
            var $child = $(this).closest('tr').find('.checkbox-child');

            // Update child state based on checked status
            $child.prop('disabled', !this.checked);
        });
    </script>


    <script>
        $("#sel1").change(function () {
            $.getJSON("../Task/gettingTaskList", { moduleId: $("#sel1 option:selected").val() },
                function (data) {

                    var select = $("#sel2");
                    select.empty();


                    select.append($('<option/>', {
                        value: 0,
                        text: "--"
                    }));


                    $.each(data, function (index, itemData) {

                        select.append($('<option/>', {
                            value: itemData.Value,
                            text: itemData.Text
                        }));

                    });
                });
        });
    </script>

    <script>

        $('#upload-file-picture').change(function (e) {

            var filename = $('#upload-file-picture')[0].files[0].name;
            var filetype = $("#upload-file-picture")[0].files[0].type;
            var filesize = $("#upload-file-picture")[0].files[0].size;
            $("#upload-file-picture-label").text(filename);
        });
    </script>
    <script>
        window.addEventListener('load', function () {
            document.querySelector('input[id="upload-file-picture"]').addEventListener('change', function () {
                if (this.files && this.files[0]) {
                    //alert("here");
                    var img = $('#utility-pic')[0];  // $('img')[0]
                    img.src = URL.createObjectURL(this.files[0]); // set src to file url
                    img.onload = imageIsLoaded; // optional onload event listener
                }
            });

        });
    </script>
    <script type="text/javascript">
        $(function () {

            $(".dropdown-item").click(
                function () {

                    var a = $("#dropdownMenu:first-child").text($(this).text());
                    var b = $("#dropdownMenu:first-child").val($(this).text());

                    var c = $('#dropDownMenu :selected').text();
                    console.log(c);
                }
            );

        });

        $(document).ready(function () {
            $("#newItem").remove();

            $("#editItem").remove();
            $("#saveItem").remove();
            $("#deleteItem").remove();
            $('#printItem').click(function () {
                window.print();
            });

            $('#reloadItem').click(function () {
                location.reload();
            });
            $("#reportItem").remove();
            $("#dashboardItem").click(function () {
                //document.location = 'Url.Action("ExportExcel", "OwnersInfo")';
            });
        });

    </script>


    <script src="~/Content/vendors/js/jquery.min.js"></script>
    <script src="~/Content/vendors/js/popper.min.js"></script>
    <script src="~/Content/vendors/js/bootstrap.min.js"></script>
    <script src="~/Content/vendors/js/pace.min.js"></script>
    <script src="~/Content/vendors/js/toastr.min.js"></script>
    <script src="~/Content/vendors/js/perfect-scrollbar.min.js"></script>
    <script src="~/Content/vendors/js/coreui.min.js"></script>
